=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libcfitsio-dev,
                libexiv2-dev,
                libjpeg-dev,
                libkcolorpicker-qt6-dev,
-               libkdcrawqt6-dev (>= 24.12.3~),
+               libkdcrawqt6-dev,
                libkf6baloo-dev (>= 6.3.0~),
-               libkf6doctools-dev (>= 6.0.0~),
-               libkf6guiaddons-dev (>= 6.0.0~),
-               libkf6i18n-dev (>= 6.0.0~),
-               libkf6iconthemes-dev (>= 6.0.0~),
-               libkf6itemmodels-dev (>= 6.0.0~),
-               libkf6kio-dev (>= 6.0.0~),
-               libkf6notifications-dev (>= 6.0.0~),
-               libkf6parts-dev (>= 6.0.0~),
-               libkf6purpose-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkf6windowsystem-dev (>= 6.0.0~),
+               libkf6crash-dev (>= 5.240.0~),
+               libkf6doctools-dev (>= 5.240.0~),
+               libkf6guiaddons-dev (>= 5.240.0~),
+               libkf6i18n-dev (>= 5.240.0~),
+               libkf6iconthemes-dev (>= 5.240.0~),
+               libkf6itemmodels-dev (>= 5.240.0~),
+               libkf6kio-dev (>= 5.240.0~),
+               libkf6notifications-dev (>= 5.240.0~),
+               libkf6parts-dev (>= 5.240.0~),
+               libkf6purpose-dev (>= 5.240.0~),
+               libkf6widgetsaddons-dev (>= 5.240.0~),
+               libkf6windowsystem-dev (>= 5.240.0~),
                libkimageannotator-qt6-dev,
                liblcms2-dev,
                libphonon4qt6-dev (>= 4:4.6.60~),
@@ -38,16 +38,14 @@
                libx11-dev,
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-base-private-dev (>= 6.6.0~),
                qt6-svg-dev (>= 6.6.0~),
-               qt6-wayland-dev (>= 6.6.0~) [linux-any],
-               qt6-wayland-dev-tools (>= 6.6.0~) [linux-any],
+               qt6-wayland-dev,
                wayland-protocols [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git
 
 Package: gwenview
 Section: graphics
