## gwenview 25.04.0

=== debian/changelog ===
gwenview (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.
  * Fix lists in package descriptions.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:11 +0200
