=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
                wayland-protocols [linux-any],
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://www.kde.org/
+Homepage: https://apps.kde.org/gwenview/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/gwenview.git
 
@@ -60,17 +60,13 @@
  displaying a collection of images.
  .
  Features:
- .
- - Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye,
- and adjust brightness, contrast, or gamma.
- .
- - Annotate and mark up images with arrows, shapes, text boxes, image stamps,
- and more.
- .
- - Basic file management actions such as copy, move, delete, and others.
- .
- - Functions both as a standalone application and an embedded viewer in the
- Konqueror web browser.
+  - Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye,
+    and adjust brightness, contrast, or gamma.
+  - Annotate and mark up images with arrows, shapes, text boxes, image stamps,
+    and more.
+  - Basic file management actions such as copy, move, delete, and others.
+  - Functions both as a standalone application and an embedded viewer in the
+    Konqueror web browser.
  .
  This package is part of the KDE graphics module.
 
@@ -85,17 +81,13 @@
  displaying a collection of images.
  .
  Features:
- .
- - Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye,
- and adjust brightness, contrast, or gamma.
- .
- - Annotate and mark up images with arrows, shapes, text boxes, image stamps,
- and more.
- .
- - Basic file management actions such as copy, move, delete, and others.
- .
- - Functions both as a standalone application and an embedded viewer in the
- Konqueror web browser.
+  - Simple image editing: rotate, crop, resize, mirror, flip, reduce red eye,
+    and adjust brightness, contrast, or gamma.
+  - Annotate and mark up images with arrows, shapes, text boxes, image stamps,
+    and more.
+  - Basic file management actions such as copy, move, delete, and others.
+  - Functions both as a standalone application and an embedded viewer in the
+    Konqueror web browser.
  .
  This package is part of the KDE graphics module.
  .
