## gwenview 25.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -54,7 +54,7 @@
     set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO ON)
 endif()
 
-if (APPLE OR NOT UNIX)
+if (APPLE OR HAIKU OR NOT UNIX)
     set(GWENVIEW_NO_WAYLAND_GESTURES ON)
 endif()
 
@@ -63,7 +63,9 @@
 find_package(Qt6SvgWidgets)
 find_package(Qt6OpenGLWidgets)
 
-
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
 if(NOT GWENVIEW_NO_WAYLAND_GESTURES)
     find_package(WaylandProtocols REQUIRED)
