=== debian/changelog ===
gwenview (4:25.04.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Build with hardening=+all build hardening flag.
  * Rebuild against libplasmaactivities7.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 Oct 2025 18:10:25 +0200

gwenview (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (25.04.3).
  * Update build-deps and deps with the info from cmake.
  * Fix upstream name in d/copyright.
  * Backport upstream commits:
    - Fix gwenview being unable to open OpenRaster (ora) files. [f4320f11,
    05b77d05]
    - Fix crash when crop area is smaller than the crop handles. [ee179a5d]
    (kde#481140)
    - Add missing SVG to the supported mime types list. [81555b8e]

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 23 Jul 2025 09:06:38 +0200
