=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
                libx11-dev,
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-private-dev,
                qt6-svg-dev (>= 6.6.0~),
                qt6-wayland-dev,
                wayland-protocols [linux-any],
@@ -50,7 +51,9 @@
 Package: gwenview
 Section: graphics
 Architecture: any
-Depends: kimageformat6-plugins, ${misc:Depends}, ${shlibs:Depends},
+Depends: kimageformat6-plugins,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: gwenview-doc (>= ${source:Version}),
             kamera,
             kio-extras (>= 4:24.08.0~),
