=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk

ifneq (linux,$(DEB_HOST_ARCH_OS))
EXTRA_CMAKE_ARGS += -DGWENVIEW_NO_WAYLAND_GESTURES=ON
endif

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DGWENVIEW_SEMANTICINFO_BACKEND_NONE=true -DBUILD_TESTING=OFF $(EXTRA_CMAKE_ARGS)
